"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldImagePicker = void 0;
const react_1 = __importDefault(require("react"));
const react_native_image_crop_picker_1 = __importDefault(require("react-native-image-crop-picker"));
const react_native_paper_1 = require("react-native-paper");
const FieldImagePicker = () => {
    const pickImageAndCrop = () => {
        react_native_image_crop_picker_1.default.openPicker({
            cropping: true,
            freeStyleCropEnabled: true, // Enables freeform cropping
            mediaType: "photo",
        })
            .then((image) => {
            console.log("Selected Image Path: ", image.path);
        })
            .catch((e) => {
            console.log("Error: ", e);
        });
    };
    // Open camera and crop the taken photo
    const captureAndCropImage = () => {
        react_native_image_crop_picker_1.default.openCamera({
            cropping: true,
            freeStyleCropEnabled: true, // Enables freeform cropping
            mediaType: "photo",
        })
            .then((image) => {
            console.log("Captured Image Path: ", image.path);
        })
            .catch((e) => {
            console.log("Error: ", e);
        });
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_paper_1.Button, { onPress: captureAndCropImage }, "capture"),
        react_1.default.createElement(react_native_paper_1.Button, { onPress: pickImageAndCrop }, "Picker")));
};
exports.FieldImagePicker = FieldImagePicker;
