import React from "react";
import ImagePicker from "react-native-image-crop-picker";
import { Button } from "react-native-paper";

export const FieldImagePicker = () => {
  const pickImageAndCrop = () => {
    ImagePicker.openPicker({
      cropping: true,
      freeStyleCropEnabled: true, // Enables freeform cropping
      mediaType: "photo",
    })
      .then((image) => {
        console.log("Selected Image Path: ", image.path);
      })
      .catch((e) => {
        console.log("Error: ", e);
      });
  };

  // Open camera and crop the taken photo
  const captureAndCropImage = () => {
    ImagePicker.openCamera({
      cropping: true,
      freeStyleCropEnabled: true, // Enables freeform cropping
      mediaType: "photo",
    })
      .then((image) => {
        console.log("Captured Image Path: ", image.path);
      })
      .catch((e) => {
        console.log("Error: ", e);
      });
  };

  return (
    <>
      <Button onPress={captureAndCropImage}>capture</Button>
      <Button onPress={pickImageAndCrop}>Picker</Button>
    </>
  );
};
